public class M416TargetLockMaximizer {

  public static void main(String[] args) {

    double aimSpeed = 90; 
    double targetSensitivity = 2.0; 

    double maxTargetLock = calculateMaxTargetLock(aimSpeed, targetSensitivity);
    
    System.out.println("The aiming lock of the M416 is maximized to: " + maxTargetLock + "%");
  }
  
  private static double calculateMaxTargetLock(double aimSpeed, double targetSensitivity) {
    double maxTargetLock = 0.0;
    
    maxTargetLock = (aimSpeed / targetSensitivity) * 100.0;
    
    return maxTargetLock;
  }
}